Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Modernizr 3.1 : mise à jour des modules
Pour la bibliothèque JavaScript qui détecte le support du HTML5 et du CSS3

Le , par vermine

0PARTAGES

1  0 
Modernizr 3.1 : mise à jour des modules
pour la bibliothèque JavaScript qui détecte le support du HTML5 et du CSS3


Modernizr est une bibliothèque JavaScript qui détecte le support du HTML5, du CSS3, du SVG, de la géolocalisation et bien d'autres dans le navigateur de l'utilisateur et qui vous prévient si ce dernier implémente nativement ces fonctionnalités ou non. Il établit ainsi ce que vous pouvez et ne pouvez pas faire dans le navigateur actuel.

Comme annoncé, l'équipe désire sortir des versions plus rapidement et c'est déjà le cas avec la révision 3.1.

Elle contient notamment :

  • la mise à jour de différents modules comme proxyquire, grunt-contrib-jade, etc. ;
  • la suppression d'une dépendance non utilisée pour la détection du plein écran ;
  • l'ajout d'une version lowercased du flag -v ;
  • la fonction prefixedCSSValue ;
  • la détection des jpeg2000 ;
  • etc.


Téléchargement.
L'article sur le site officiel.
Documentation.

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de SurferIX
Membre chevronné https://www.developpez.com
Le 10/10/2015 à 19:20
Citation Envoyé par Aurelien Plazzotta Voir le message
...que se passera-t-il pour Modernizr et son éditeur lorsque le HTML 5 et le CSS 3 seront intégrés à 100% nativement au sein des navigateurs ?
Que se passera-t-il lorsqu'on aura une prochaine version ? Que se passera-t-il si on inclut du code qui dépend d'autre code ? La réponse est : soit tu plonge et tu t'en sers avec peut-être une possibilité que cela ne fonctionne plus d'ici quelques années, soit tu t'en passe. Mais ta question peut s'appliquer à tout le code qui dépend du code d'autres entreprises....
0  0